<script>
export default {
	name: 'MenuItem',
	functional: true,
	props: {
		icon: {
			type: String,
			default: ''
		},
		color: {
			type: String,
			default: ''
		},
		title: {
			type: String,
			default: ''
		}
	},
	render(h, context) {
		const { icon, color, title } = context.props;
		const vnodes = [];
		const colorStyle = 'color:'+color;

		if (icon) {
			vnodes.push(<i class={icon} style={colorStyle}></i>);
		}

		if (title) {
			vnodes.push(<span slot='title'>{(title)}</span>);
		}
		return vnodes;
	}
}
</script>
